MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023274Community[OCCT] OCCT:Foundation Classespublic2012-07-13 15:402012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023274: MSVC++ warnings issued during compilation for 64bits
DescriptionCasts between size_t and Standard_Integer produce compiler warning on 64bit platform.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023369closedbugmaster MSVC++ warnings issued during compilation for 64bits, Materials.cxx 
related to 0023370closedbugmaster MSVC++ warnings issued during compilation for 64bits, WNT_FontMapEntry.cxx 
related to 0023373closedPawel MSVC++ warnings issued during compilation for 64bits, 'Sparse Arrays' 

-  Notes
(0020960)
Pawel (developer)
2012-07-13 15:57

Corresponding git branch pushed. Please review.
(0020962)
abv (manager)
2012-07-13 16:14

No remarks, please test
(0021145)
apn (administrator)
2012-07-25 11:17

Dear BugMaster,
The workbenches
KAS:dev:apn-23274-occt (GIT branch CR23274)
KAS:dev:apn-23274-products (GIT master)
were compiled on Linux platform and on Windows 7 64-bit (PROGREX station) and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/apn-23274-products_24072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master fb8a7358
Timestamp: 2012-07-12 15:24:03
Author: Pawel
Details ] Diff ]
0023274: MSVC++ warnings issued during compilation for 64bits

Replacing Standard_Integer with Standard_Size to avoid warnings.
mod - src/Dico/Dico_Dictionary.cdl Diff ] File ]
mod - src/Dico/Dico_Dictionary.gxx Diff ] File ]
mod - src/Dico/Dico_Iterator.gxx Diff ] File ]
mod - src/FSD/FSD_BinaryFile.cdl Diff ] File ]
mod - src/FSD/FSD_BinaryFile.cxx Diff ] File ]
mod - src/FSD/FSD_CmpFile.cdl Diff ] File ]
mod - src/FSD/FSD_CmpFile.cxx Diff ] File ]
mod - src/FSD/FSD_File.cdl Diff ] File ]
mod - src/FSD/FSD_File.cxx Diff ] File ]
mod - src/NCollection/NCollection_SparseArrayBase.hxx Diff ] File ]
mod - src/Units/Units_Sentence.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-13 15:40 Pawel New Issue
2012-07-13 15:40 Pawel Assigned To => Pawel
2012-07-13 15:57 Pawel Note Added: 0020960
2012-07-13 15:57 Pawel Assigned To Pawel => bugmaster
2012-07-13 15:57 Pawel Status new => resolved
2012-07-13 16:14 abv Note Added: 0020962
2012-07-13 16:14 abv Status resolved => reviewed
2012-07-25 11:17 apn Note Added: 0021145
2012-07-25 11:17 apn Test case number => Not needed
2012-07-25 11:17 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master fb8a7358
2012-07-30 16:31 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:31 Pawel Status tested => verified
2012-07-30 16:31 Pawel Resolution open => fixed
2012-08-07 13:09 Pawel Relationship added related to 0023369
2012-08-07 16:14 Pawel Relationship added related to 0023370
2012-08-08 11:55 Pawel Relationship added related to 0023373
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker